Bug 834275 - Yumex run from terminal cannot register gtype & yum child process not authorized
Yumex run from terminal cannot register gtype & yum child process not authorized
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: yumex (Show other bugs)
17
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Tim Lauridsen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-21 08:01 EDT by jaack
Modified: 2012-12-20 10:38 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-20 10:38:33 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description jaack 2012-06-21 08:01:02 EDT
Description of problem:
Running yumex from terminal 
Warning messages  appear ".** (process:23184): WARNING **: Trying to register gtype 'GMountMountFlags' as enum when in fact it is of type 'GFlags' then same with 'GDriveStartFlags' and 'GSocketMsgFlags'
next message (yumex:23184): Gtk-WARNING **: gtk_scrolled_window_add(): cannot add non scrollable widget use gtk_scrolled_window_awith_viewport() instead

yum starts child process  which  YUM: Error executing command as another user: Not authorized
Yum Extender dialog box was created and fatal error box overlaid this.

Version-Release number of selected component (if applicable):

yumex-3.0.5-2.fc17.noarch

How reproducible:
YES

Steps to Reproduce:
1. open terminal
2.yumex
3.
  
Actual results:

jack@localhost ~]$ yumex

** (process:23094): WARNING **: Trying to register gtype 'GMountMountFlags' as enum when in fact it is of type 'GFlags'

** (process:23094): WARNING **: Trying to register gtype 'GDriveStartFlags' as enum when in fact it is of type 'GFlags'

** (process:23094): WARNING **: Trying to register gtype 'GSocketMsgFlags' as enum when in fact it is of type 'GFlags'

(yumex:23094): Gtk-WARNING **: gtk_scrolled_window_add(): cannot add non scrollable widget use gtk_scrolled_window_add_with_viewport() instead
07:31:46 : DEBUG - network interface em1 (tg3) is connected
07:31:46 : INFO - Connected to an network
07:31:46 : DEBUG - network interface em1 (tg3) is connected
07:31:46 : INFO - Starting yum child process
07:31:47 : INFO - YUM: Error executing command as another user: Not authorized

Yum Extender Box created then overlaid with another smaller box Fatal Error
RED X backend-not-running in red letters
inside this smaller box message: backend not running as expected (yumex will exit) close button in bottom right.

07:31:49 : INFO - yum backend process is ended

Expected results:
working yumex

Additional info: $PATH
bash: /usr/bin:/usr/sbin:/sbin:/bin:
Comment 1 jaack 2012-06-21 08:07:37 EDT
FEDORA 17 32 bit mode on Acer Aspire - 5732-6674 i3-380M processor; 8Gb mem; 750Gb hdd; 15.6" screen installed 6/18/2012.
Comment 2 Tim Lauridsen 2012-06-21 10:53:31 EDT
Yumex is normally showning a policykit kit dialog asking as adminstrator password, if your user is admin, then use your own password, else use root password.

the error you are expiring comes if you type cancel or type a wrong password

If you what to disable the need to enter password, read here

http://yum-extender.blogspot.dk/2012/05/running-yumex-without-typing-password.html
Comment 3 Tim Lauridsen 2012-09-21 13:32:19 EDT
I have added some better error messages based on the return codes from polkit

test packages here:
http://timlau.fedorapeople.org/files/yumex/
Comment 4 Fedora Update System 2012-10-03 10:49:49 EDT
yumex-3.0.9-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/yumex-3.0.9-1.fc18
Comment 5 Fedora Update System 2012-10-03 10:50:20 EDT
yumex-3.0.9-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/yumex-3.0.9-1.fc17
Comment 6 Fedora Update System 2012-10-03 13:05:09 EDT
Package yumex-3.0.9-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing yumex-3.0.9-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-15300/yumex-3.0.9-1.fc18
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2012-12-20 10:38:35 EST
yumex-3.0.9-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.